# Atomic_Op_T.h File Reference

`#include "ace/config-all.h"`
`#include "ace/Atomic_Op_T.inl"`
`#include "ace/Atomic_Op_T.cpp"`

Include dependency graph for Atomic_Op_T.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Atomic_Op_Ex< ACE_LOCK, TYPE >
| Transparently parameterizes synchronization into basic arithmetic operations. More...
class | ACE_Atomic_Op< ACE_LOCK, TYPE >
| Transparently parameterizes synchronization into basic arithmetic operations. More...

## Detailed Description

Id
  Atomic_Op_T.h,v 4.13 2006/01/25 13:05:49 jwillemsen Exp

Author:
  Douglas C. Schmidt <schmidt@uci.edu>